// 用户管理函数库
import apis from "../apis_moudles";
import req from "../request";
import { toQuery } from '@/utils/index'

// 对象数组
const getVerifyImg = function () {
  return req.get(apis.getVerifyImg, { responseType: "blob" });
};

const getVerifyEmail = function (params) {
  const queryStr = toQuery(params);
  return req.post(apis.getVerifyEmail + "?" + queryStr);
};

const login = function (params) {
  const queryStr = toQuery(params);
  return req.post(apis.login + "?" + queryStr);
};

const loginOut = function () {
  return req.get(apis.loginOut);
};

const resetPassword = function (params) {
  const queryStr = toQuery(params);
  return req.post(apis.pwdReset + "?" + queryStr);
};

export default { getVerifyImg, getVerifyEmail, login, loginOut, resetPassword };
