// 基础模块函数库
import apis from "../apis_moudles/index";
import req from "../request";

// 获取用户信息
const getUserInfo = (params) => {
  return req.get(apis.getUserInfo, {
    params,
  });
};

// 保险公司下拉数据
const getPayorCode = (data) => {
  return req.post(apis.payorCodeList, {
    data,
  });
};

// get corporate Code 根据保险公司获取客户公司
const getCorporateCodeByPayor = (data) => {
  return req.post(apis.corporateCodeList, data);
};

// get plan Code 根据客户公司获取保险计划
const getPlanCodeByCorp = (data) => {
  return req.post(apis.planCodeList, data);
};

// 科室信息
const getSpecialtyList = (data) => {
  return req.post(apis.specialtyList, data);
};

// 上传图片
const uploadImg = (data) => {
  return req.post(apis.uploadImg, data);
};

// 责任累类型列表
const getCoverageCode = (data) => {
  return req.post(apis.coverageCode, data);
};

// 公共获取码表列表
const getRefcdByRefgrp = (data) => {
  return req.post(apis.getRefcdByRefgrp, data);
};

// 校验用户邮箱
const checkUserEmail = (data) => {
  return req.post(`${apis.checkUserEmail}?userName=${data.userName}`);
};

// 
const receiptCount = (data) => {
  return req.post(`${apis.receiptCount}`, data);
};
const backMoneyReportCount = (data) => {
  return req.post(`${apis.backMoneyReportCount}`, data);
};
const queryBackReceiptCount = (data) => {
  return req.post(`${apis.queryBackReceiptCount}`, data);
};
// 对象数组
export default {
  getUserInfo,
  getPayorCode,
  getCorporateCodeByPayor,
  getPlanCodeByCorp,
  getSpecialtyList,
  uploadImg,
  receiptCount,
  queryBackReceiptCount,
  backMoneyReportCount,
  getCoverageCode,
  getRefcdByRefgrp,
  checkUserEmail,
};
